package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.LiveGoods;
import org.apache.ibatis.annotations.Param;

public interface LiveGoodsDao extends BaseDAO<Integer, LiveGoods> {

    LiveGoods getLock(Integer liveGoodsId);

    int reduceStock(@Param("liveGoodsId") Integer liveGoodsId);

    void addStock(@Param("liveGoodsId") Integer liveGoodsId);

    LiveGoods getByName(@Param("goodsName") String goodsName);
}